Skip to main content
POST
/
platform-api
/
v1
/
customers
/
recent_calls
Get recent calls
curl --request POST \
  --url https://app.sagepilot.ai/platform-api/v1/customers/recent_calls \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customerId": "<string>"
}
'
[
  {
    "id": "56cd9f21-e1dd-4837-b031-b313f17fba6e",
    "created_at": "2026-01-26T11:26:02.895027Z",
    "workspace_id": "ab1360ce-ef91-4397-8fbd-3ed77ef80e08",
    "status": "missed",
    "customer_id": "88d44689-1ce7-4033-8256-655a7cd8f90b",
    "agent_id": null,
    "type": "inbound",
    "call_id": "56cd9f21-e1dd-4837-b031-b313f17fba6e",
    "from_number": "+918003213447",
    "to_number": "+912261891120",
    "answered_at": null,
    "ended_at": "2026-01-26T05:56:10.348382Z",
    "duration_seconds": 0,
    "mode": "human",
    "recordings": "{}",
    "channel_id": "53f55362-a793-4679-b9b4-40cbb899b8c0",
    "metadata": "{\"provider\": \"sip_trunk_audiosocket\", \"sip_headers\": {\"X-Sage-SIP-CallID\": \"[email protected]\"}, \"termination_reason\": \"outside_business_hours\", \"outside_hours_recording_url\": \"https://sagepilot-outbound-attachments.s3.ap-south-1.amazonaws.com/workspaces/ab1360ce-ef91-4397-8fbd-3ed77ef80e08/voice_assets/outside_hours_787ccc04-1449-489b-83fc-d5f560b3cfcc\"}",
    "updated_at": "2026-01-26T11:26:11.540439Z",
    "pilot_id": null,
    "usage_stats": null,
    "hangup_reason": "failed",
    "dial_status": "failed",
    "ended_by": "system",
    "asterisk_ip": null,
    "asterisk_ari_port": 8088,
    "conference_id": null,
    "controller_task_id": null,
    "disposition": null,
    "transcription": null,
    "disposition_set_by": null,
    "disposition_set_at": null,
    "customer_journey_id": null,
    "journey_id": null,
    "campaign_id": null,
    "scheduled_at": null,
    "scheduled_by": null,
    "schedule_metadata": "{}",
    "participant_count": 0,
    "code": 551,
    "team_id": null,
    "summary": null,
    "sentiment": null,
    "source": "direct",
    "customer_name": "Vikram Singh Chundawat",
    "customer_phone": "+918003213447"
  }
]
[
  {
    "id": "56cd9f21-e1dd-4837-b031-b313f17fba6e",
    "created_at": "2026-01-26T11:26:02.895027Z",
    "workspace_id": "ab1360ce-ef91-4397-8fbd-3ed77ef80e08",
    "status": "missed",
    "customer_id": "88d44689-1ce7-4033-8256-655a7cd8f90b",
    "agent_id": null,
    "type": "inbound",
    "call_id": "56cd9f21-e1dd-4837-b031-b313f17fba6e",
    "from_number": "+918003213447",
    "to_number": "+912261891120",
    "answered_at": null,
    "ended_at": "2026-01-26T05:56:10.348382Z",
    "duration_seconds": 0,
    "mode": "human",
    "recordings": "{}",
    "channel_id": "53f55362-a793-4679-b9b4-40cbb899b8c0",
    "metadata": "{\"provider\": \"sip_trunk_audiosocket\", \"sip_headers\": {\"X-Sage-SIP-CallID\": \"[email protected]\"}, \"termination_reason\": \"outside_business_hours\", \"outside_hours_recording_url\": \"https://sagepilot-outbound-attachments.s3.ap-south-1.amazonaws.com/workspaces/ab1360ce-ef91-4397-8fbd-3ed77ef80e08/voice_assets/outside_hours_787ccc04-1449-489b-83fc-d5f560b3cfcc\"}",
    "updated_at": "2026-01-26T11:26:11.540439Z",
    "pilot_id": null,
    "usage_stats": null,
    "hangup_reason": "failed",
    "dial_status": "failed",
    "ended_by": "system",
    "asterisk_ip": null,
    "asterisk_ari_port": 8088,
    "conference_id": null,
    "controller_task_id": null,
    "disposition": null,
    "transcription": null,
    "disposition_set_by": null,
    "disposition_set_at": null,
    "customer_journey_id": null,
    "journey_id": null,
    "campaign_id": null,
    "scheduled_at": null,
    "scheduled_by": null,
    "schedule_metadata": "{}",
    "participant_count": 0,
    "code": 551,
    "team_id": null,
    "summary": null,
    "sentiment": null,
    "source": "direct",
    "customer_name": "Vikram Singh Chundawat",
    "customer_phone": "+918003213447"
  }
]
Get recent voice calls for a customer in the authenticated workspace.

Required access

AuthenticationScopeDataset grant
API client v2customers:readcustomers

Body

customerId
string
required
Customer UUID to fetch calls for. Open a customer in the Customer module and use the last UUID in the URL: /dashboard/[workspace_id]/customers/[customer_id]. See Resource IDs.
workspaceId
string
Optional workspace UUID. The authenticated workspace is used by default. Find the current workspace ID in Settings > API Details > Channels. See Resource IDs.
includeLinkedContacts
boolean
default:"false"
Include calls from linked contacts.

Query parameters

page
integer
default:"1"
Page number.
page_size
integer
default:"20"
Records per page. Maximum value is 200.

Response

[]
object[]
required
Recent voice call records for the customer.